curl "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
QR-Assets
QR-Code-Designvorlage abrufen
GET /qr-assets/template//
GET
/
qr-assets
/
template
/
{pk}
/
curl "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
Ruft eine einzelne QR-Designvorlage ab, auf dem Management-API-Host (
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://api.scanova.io/qr-assets/template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
erforderlich
Die
id der Vorlage, aus QR-Code-Designvorlagen auflisten.curl "https://api.scanova.io/qr-assets/template/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 12,
"name": "Summer Poster",
"template_id": "a1b2c3d4e5f6",
"template_type": "P",
"template_type_display": "Poster",
"pattern_info": "{\"dotStyle\":\"round\"}",
"image": "https://cdn.scanova.io/upload/images/42/template-foo.png"
}
404, wenn pk keine Vorlage ist, die diesem Konto gehört.
Verwandte Themen
- QR-Code-Designvorlagen auflisten — die
idfinden. - QR-Code-Designvorlage aktualisieren — diese Vorlage bearbeiten.
- QR-Code-Designvorlage löschen — diese Vorlage entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
One template.
War diese Seite hilfreich?